class Mensch {

	// Attribute
	boolean maennlich;

	int groesse; // in cm

	float gewicht; // in kg

	// Konstruktor
	Mensch(boolean mann, int groe, float gew) {
		maennlich = mann;
		groesse = groe;
		gewicht = gew;
	}

	// Methoden
	void neueGroesse(int groe) {
		groesse = groe;
	}

	void neuesGewicht(float gew) {
		gewicht = gew;
	}

	boolean hatUebergewicht() {
		return gewicht > berechneNormalgewicht();
	}

	boolean hatUntergewicht() {
		return gewicht < berechneIdealgewicht();
	}

	boolean hatOrdentlichesGewicht() {
		return gewicht <= berechneNormalgewicht()
				&& gewicht >= berechneIdealgewicht();
	}

	// Hilfsmethoden

	float berechneNormalgewicht() {
		return groesse - 100;
	}

	float berechneIdealgewicht() {
		if (maennlich) {
			return berechneNormalgewicht() / 100.0f * 90.0f;
		} else {
			return berechneNormalgewicht() / 100.0f * 85.0f;
		}
	}
}

class OOGewicht {
	public static void main(String[] args) {
		Mensch person = new Mensch(IO.readChar("Maennlich (m/w)?") == 'm', IO
				.readInt("Groesse (cm) eingeben: "), IO
				.readFloat("Gewicht (kg) eingeben: "));

		if (person.hatUebergewicht()) {
			IO.println("Alter Fettsack!");
		} else if (person.hatUntergewicht()) {
			IO.println("Na, du Hungerhaken!");
		} else {
			IO.println("Idealer Gewichtsbereich!");
		}
	}
}
